// Invocamos librerías
#include <Adafruit_GFX.h>
#include <Adafruit_NeoMatrix.h>
#include <Adafruit_NeoPixel.h>

// Definimos patilla de salida de datos
#define PIN 3

//Creamos el objeto matriz
Adafruit_NeoMatrix matriz = Adafruit_NeoMatrix(32, 8, PIN,     
  NEO_MATRIX_TOP  + NEO_MATRIX_LEFT +
  NEO_MATRIX_COLUMNS + NEO_MATRIX_ZIGZAG,
  NEO_GRB            + NEO_KHZ800);

void setup()
{ matriz.begin(); // Iniciamos el objeto
  matriz.setBrightness(15); // Establece el brillo en un 15%
}

void loop(){
  matriz.fillScreen(0);    //Apaga todos los LEDs
  matriz.setTextSize(1); // 1 == 8 pixeles
  matriz.setCursor(1, 0); // Coloca el cursor en la posición 4,0 en este caso concreto
  matriz.setTextColor(matriz.Color(255,0,0));
  matriz.print('-');
  matriz.setTextColor(matriz.Color(255,127,0));
  matriz.print('R');
  matriz.setTextColor(matriz.Color(255,255,0));
  matriz.print('G');
  matriz.setTextColor(matriz.Color(127,255,0));
  matriz.print('B');
  matriz.setTextColor(matriz.Color(0,127,0));
  matriz.print('-');
  matriz.show();
  delay(2000);
  matriz.fillScreen(0);    //Apaga todos los LEDs
  matriz.setCursor(4, 0); // Coloca el cursor en la posición 4,0 en este caso concreto
  matriz.setTextColor(matriz.Color(0,255,255));
  matriz.print('3');
  matriz.setTextColor(matriz.Color(0,127,255));
  matriz.print('2');
  matriz.setTextColor(matriz.Color(127,0,255));
  matriz.print('x');
  matriz.setTextColor(matriz.Color(127,0,127));
  matriz.print('8');
  matriz.show();
  delay(2000);
  matriz.fillScreen(0);    //Apaga todos los LEDs
  matriz.setCursor(2, 0); // Coloca el cursor en la posición 4,0 en este caso concreto
  matriz.setTextColor(matriz.Color(255,0,255));
  matriz.print('P');
  matriz.print('i');
  matriz.print('x');
  matriz.print('e');
  matriz.print('l');
  matriz.show();
  delay(2000);  
}  
